AIMP Skin Editor v5.02, build 1232 (12.04.2022)
===============================================
- Fixed: skin engine - minor issues were fixed


AIMP Skin Editor v5.02, build 1231 (02.03.2022)
===============================================
* Common: localizations has been updated
- Fixed: skin engine - minor issues were fixed


AIMP Skin Editor v5.02, build 1230 (22.02.2022)
===============================================
+ General: support of AIMP v5.02
+ General: migration to new version of VCL
+ Editor: application visual appearance has been updated
+ Editor: support for UI scaling
- Small bugs and defects were fixed


AIMP Skin Editor v5.00, build 1222 (09.11.2021)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v5.00 RC, build 1215 (30.09.2021)
==================================================
* General: support of AIMP v5.00 RC2
- Small bugs and defects were fixed


AIMP Skin Editor v5.00 Beta, build 1214 (16.09.2021)
====================================================
- Small bugs and defects were fixed


AIMP Skin Editor v5.00 Beta, build 1212 (12.08.2021)
====================================================
+ General: support of AIMP v5.00
+ Editor: general - copy / paste - automatic rename of elements and binding links between these if elements with same names are already exists
+ Editor: general - copy special - an ability to specify which types of properties must be copied to clipboard
+ Editor: general - the "snapshot" function to simplify creation of preview for the skin
+ Editor: desktop - an ability to specify transparent or semi-transparent color for background
+ Editor: structure view - an ability to highlight elements via color
+ Editor: structure view - search support
+ Editor: object inspector - an ability to filter properties by it type
+ Editor: object inspector - simplify creation / editing the scripts for event handlers
+ Editor: custom providers - an ability to group the providers
+ Editor: resource repository - an ability to hide resources-references
+ Editor: resource repository - find and replace usages of resource
+ Editor: texture editor - an ability to copy displaying frame to clipboard
+ Editor: texture editor - an ability to specify transparent or semi-transparent color for background for preview
+ Editor: texture editor - zoom support
+ Editor: texture editor - function that allows you to covert PARGB to ARGB


AIMP Skin Editor v4.70, build 1106 (14.07.2020)
===============================================
* Common: localizations has been updated
- Small bugs and defects were fixed


AIMP Skin Editor v4.70 RC 2, build 1102 (17.05.2020)
====================================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.70 RC, build 1101 (02.05.2020)
==================================================
* Editor: binding map - links that does not affect to selected element directly has been removed from the map
* Editor: binding map - support for scrolling via mouse wheel and via "drag-n-move" gesture


AIMP Skin Editor v4.70 Beta, build 1100 (16.04.2020)
====================================================
+ Editor: added an ability to view bindings diagram for selected element
* General: support of AIMP v4.70


AIMP Skin Editor v4.60, build 1085 (20.02.2020)
===============================================
+ Editor: the FPS counter has been added


AIMP Skin Editor v4.60, build 1082 (24.11.2019)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.60, build 1080 (21.10.2019)
===============================================
* Editor: separate color set for a design desktop elements in night mode has been added
* Editor: state of structure tree now keeps for each skin window separately
- Small bugs and defects were fixed


AIMP Skin Editor v4.60 RC 2, build 1071 (08.08.2019)
====================================================
- Fixed: general - few small issues related to the "night mode" feature
- Fixed: editor - content of desktop area get flickering while changing visibility or elements placement


AIMP Skin Editor v4.60 RC 1, build 1068 (18.07.2019)
====================================================
- Fixed: general - few small issues related to the "night mode" feature


AIMP Skin Editor v4.60 Beta, build 1067 (24.06.2019)
====================================================
+ Editor: support of dark mode
+ Editor: an ability to display secondary windows in separate tabs (optionally)
* General: support of AIMP v4.60 Beta 6


AIMP Skin Editor v4.60 Beta, build 1059 (11.03.2019)
====================================================
* General: support of AIMP v4.60


AIMP Skin Editor v4.51, build 1045 (01.12.2018)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.51, build 1042 (07.07.2018)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.51, build 1041 (08.05.2018)
===============================================
* Common: Support for AIMP v4.51


AIMP Skin Editor v4.50, build 1040 (01.04.2018)
===============================================
* The chinese version of manual has been added (thanks to 17hapi)


AIMP Skin Editor v4.50, build 1039 (27.12.2017)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.50, build 1038 (18.12.2017)
===============================================
* Skin Engine: custom possible scale factor has been extended up to 500%
- Fixed: Skin Engine - known issues have been fixed
- Small bugs and defects were fixed


AIMP Skin Editor v4.50, build 1037 (17.11.2017)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.50, build 1032 (30.10.2017)
===============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.50 RC 2, build 1027 (17.10.2017)
====================================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.50 RC, build 1021 (23.09.2017)
==================================================
- Fixed: Editor - Resource Repository - there are no rename validation
- Small bugs and defects were fixed


AIMP Skin Editor v4.50 Beta 3, build 1018 (06.09.2017)
======================================================
* Skin Engine: the Accessibility service has been added to TASELayoutScrollView.ScrollBarXXX
- Fixed: Skin Engine - scrolling via mouse wheel stops working after restoring minimized window
- Fixed: Skin Engine - TASETextDisplayEx - content of the element are truncated if font with shadow is used
- Fixed: Skin Engine - TASETextDisplayEx - current line of lyrics is shifted to right side if formatting are applied to it
- Fixed: Editor - the "auto populate resource repository" function works incorrectly in some cases
- Small bugs and defects were fixed


AIMP Skin Editor v4.50 Beta 2, build 1015 (21.08.2017)
======================================================
+ Skin Engine: the "gray scale" blending mode has been added
- Fixed: Skin Engine - Blending Modes that differs from Normal works incorrectly with semi-transparent textures
- Fixed: Editor - properties of the Context Menu element are not copied to clipboard


AIMP Skin Editor v4.50 Beta, build 1010 (08.08.2017)
====================================================
* Editor: support for AIMP v4.50
* Editor: small improvements in UI


AIMP Skin Editor v4.01, build 920 (31.10.2016)
==============================================
- Known bugs were fixed


AIMP Skin Editor v4.00, build 918 (30.09.2016)
==============================================
+ Editor: add emulation of playback / pause mode. Emulation can be switched on/off by clicked on the play / pause / stop buttons when the Alt key is pressed
- Fixed: Editor - cannot copy the error log from dialog that appears when pasting the structure from clipboard


AIMP Skin Editor v4.01, build 915 (31.08.2016)
==============================================
- Fixed: Editor - an error occurs during application startup when loading the project that contains a guidelines


AIMP Skin Editor v4.01, build 913 (08.08.2016)
==============================================
- Known bugs were fixed


AIMP Skin Editor v4.01 RC, build 911 (21.07.2016)
=================================================
- Known bugs were fixed


AIMP Skin Editor v4.01 Beta, build 910 (06.07.2016)
===================================================
* Editor: support for AIMP v4.10
* Editor: an ability to copy/paste structure of part of skin


AIMP Skin Editor v4.00, build 904 (18.06.2016)
==============================================
- Known bugs were fixed


AIMP Skin Editor v4.00, build 903 (11.06.2016)
==============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.00, build 900 (15.05.2016)
==============================================
* Editor: the Bliss and the Dark Bliss skins are used now as templates
- Fixed: Editor - the "Music Library view" button does not work in default skin-templates
- Fixed: Editor - semitransparent textures are imported incorrectly (regression)


AIMP Skin Editor v4.00, build 899 (26.04.2016)
==============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.00, build 898 (17.04.2016)
==============================================
- Small bugs and defects were fixed


AIMP Skin Editor v4.00, build 897 (19.03.2016)
==============================================
- Fixed: UI - in-place editing does not work in table elements (regression)


AIMP Skin Editor v4.00, build 896 (15.03.2016)
==============================================
* Editor: the FIJO Flat icons are now default file icons (thanks to Zigar)
* Editor: default templates have been updated
- Small bugs were fixed


AIMP Skin Editor v4.00, build 894 (14.02.2016)
==============================================
* Common: digital signature has been updated
* Editor: Bindings Editor - added an ability to reorder sources
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Skin Engine - no way to set value of the "RadioGroupIndex" of custom context menu provider
- Fixed: editor - no way to move background elements to top-level via drag-n-drop


AIMP Skin Editor v4.00, build 887 (18.01.2016)
==============================================
- Fixed: Skin Engine - default frame index of TASEAnimator element always equals to 0 even if binding is defined
- Fixed: Skin Engine - few compatibility issues with old skins were fixed
- Fixed: Skin Engine - localizations for custom context menus was not refreshed in real-time
- Fixed: Skin Engine - window content was not refreshed after changing the element placement from script
- Fixed: Editor - cloned object has different sizes from source in some cases


AIMP Skin Editor v4.00, build 883 (29.12.2015)
==============================================
* Common: Build with latest changes in skin engine
* Editor: Dialog that will show progress of loading / saving operation has been added
- Fixed: Editor - Help - No English version for some articles
- Fixed: Editor - settings of singleton elements have not been reset to their defaults if create a Blank project


AIMP Skin Editor v4.00, build 880 (22.12.2015)
==============================================
* Common: Build with latest changes in skin engine
* Редактор: advanced hints for objects in the "Binding Editor" and "Custom Providers" dialogs
- Small bugs and defects were fixed


AIMP Skin Editor v4.00 RC 3, build 875 (30.11.2015)
===================================================
- Fixed: Editor - incorrect layout of options dialog in HiDpi
- Small bugs in skin engine were fixed
- Small bugs and defects in editor were fixed


AIMP Skin Editor v4.00 RC 2, build 870 (13.11.2015)
===================================================
* Editor: new project template has been added - Blank
* Editor: Binding - an ability to add macro via click on it
* Editor: Window Manager - an ability to change display order of children windows in working area
* Skin Engine: TASEWaveFormDisplay - the FlipHorizontally / FlipVertically properties have been added
- Fixed: Skin Engine - a space character has been added to text box when focusing it via TAB key
- Fixed: Skin Engine - backward navigation via Shift+Tab key does not work
- Fixed: Skin Engine - an error occurs when closing the application, if mouse cursor is located under docked child window
- Fixed: Skin Engine - TASEPanel element - context menu does not work
- Fixed: Skin Engine - TASEVisualDisplay element - hit-test mask ignored if visualization is active
- Small bugs were fixed


AIMP Skin Editor v4.00 RC 1, build 867 (30.10.2015)
===================================================
* Skin Engine: the TASEButton.HitTestByText property has been added
* Skin Engine: the IsAccessible data provider has been added for the TASETabControl.Scrolling service
- Fixed: Editor - HEX code does not refresh if changing color via select palette item and HEX code editor is focused
- Fixed: Script editor - navigation by words does not work for russian text


AIMP Skin Editor v4.00 Beta 4, build 863 (16.10.2015)
=====================================================
* Editor: new project template has been added - Bliss Compact
* Editor: Bindings editor - added an ability to scroll content vertically
- Small bugs were fixed


AIMP Skin Editor v4.00 Beta 3, build 855 (20.09.2015)
=====================================================
+ Editor: The To-Do List window has been added
* Script Editor: added an ability to display line numbers
- Fixed: editor - objects tree - selection disappear after deleting the object
- Fixed: editor - the "Links" dialog - height of the window calculates incorrectly
- Fixed: Editor - the Custom Providers dialog - no hotkey for the "Links" buttons with comparing to other buttons
- Fixed: editor - the Binding links editor dialog - tool tip does not contain object name
- Fixed: Editor - the save changes confirmation appears for newly created project
- Fixed: Editor - path to installed player cannot be found automatically if player is not running
- Fixed: Editor - the Object properties dialog - title does not updated after rename the object
- Fixed: Editor - the context menu settings dialog - icons from AIMP Skin Editor v3 are loaded when resets the icons to defaults
- Fixed: Editor - an error occurs when trying to export skin that contains elements without textures


AIMP Skin Editor v4.00 Beta 2, build 847 (18.08.2015)
=====================================================
- Fixed: Skin Engine - an error occurs in some cases during fading finalization in the TabControl element
- Fixed: Skin Engine - an error occurs when loading a skin that uses a blur effect
- Fixed: Skin Engine - hue intensity incorrectly applied to shared textures
- Fixed: Skin Engine - elements draws incorrectly if they placed over the masked BluredGlass element
- Fixed: Skin Engine - behavior of scroll bars in the elements of music library is differs from behavior of scroll bar in playlist
- Small bugs were fixed


AIMP Skin Editor v4.00 Beta 1, build 845 (08.08.2015)
=====================================================
+ Skin Engine: potential abilities have been extended (refer to the Skin Editor manual for more information)
+ Editor: added support of new version of skin-engine
+ Editor: application visual appearance has been updated


AIMP Skin Editor v3.60, build 691 (24.04.2015)
==============================================
- Small bugs were fixed


AIMP Skin Editor v3.60, build 690 (27.02.2015)
==============================================
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Editor - small bugs were fixed


AIMP Skin Editor v3.60, build 688 (06.02.2015)
==============================================
* Editor: an ability to hide sizing-margins in preview in the texture editor
* Editor: background color of desktop area is now used for preview background in the texture editor
- Fixed: Skin Engine - small bugs were fixed


AIMP Skin Editor v3.60, build 683 (16.01.2015)
==============================================
- Small bugs were fixed


AIMP Skin Editor v3.60, build 680 (29.12.2014)
==============================================
- Fixed: Skin Engine - parser fails on some correct expressions


AIMP Skin Editor v3.60 RC 4, build 678 (19.12.2014)
===================================================
- Small bugs were fixed


AIMP Skin Editor v3.60 RC 3, build 675 (10.12.2014)
===================================================
- Fixed: Skin Engine - binding links does not resets before load the project
- Fixed: Skin Engine - playlist - text width calculates incorrectly for non-monospaced fonts
- Small bugs were fixed


AIMP Skin Editor v3.60 RC 2, build 673 (02.12.2014)
===================================================
* Editor: Guidelines - an relative to selected container positioning has been introduced
- Fixed: Editor - an ability to type negative value for Z-order property
- Fixed: Editor - secondary skin forms does not displays on program startup
- Fixed: Editor - the TrayControlFlow position not recalculates after change it sizes
- Small bugs were fixed


AIMP Skin Editor v3.60 RC 1, build 670 (19.11.2014)
===================================================
* Editor: an ability to change color of cells of magnifier by clicking on its glyph
- Small bugs were fixed


AIMP Skin Editor v3.60 RC 1, build 668 (12.11.2014)
===================================================
+ Editor: An ability to scroll work area horizontally via mouse wheel with pressed the Shift key
* Editor: an ability to select language for application on first start
- Fixed: Editor - guideline does not refreshed after scroll the work area
- Fixed: Editor - the preview saves to skin incorrectly if source BMP-file contains color table
- Small bugs were fixed


AIMP Skin Editor v3.60 Beta 2, build 663 (21.10.2014)
=====================================================
+ Editor: An ability to move elements via mouse by vertically / horizontally only if the Shift key is  pressed
+ Editor: Guidelines - an ability to add guideline by drag moving it from ruler
+ Editor: Guidelines - hotkey for the "add new" action has been added
+ Editor: Guidelines - separate set of guidelines for each window
+ Editor: Binding Editor - a close button has been added to the caption of provider's card
* Editor: An ability to apply font without closing the dialog
* Editor: The "Build and Run" command now bring player window to top after apply the skin
- Fixed: editor - no way to capture guideline in background elements area
- Fixed: Editor - no auto selection of editing value when enter to the edit box via keyboard
- Fixed: Skin Engine - the Next / Previous visualization buttons does not work after switch off the visualization
- Fixed: Skin engine - level channels of the prvVisual provider are swapped
- Fixed: Skin Engine - height of item of bookmarks list in the drop down window differs from menu item height
- Fixed: Manual - some tables were corrupted
- Small bugs were fixed


AIMP Skin Editor v3.60 Beta 1, build 655 (19.09.2014)
=====================================================
+ Editor: common - an ability to build and apply built skin to the player via single mouse click
+ Editor: Magnifier - An ability to change zoom factor via Ctrl + mouse wheel
+ Editor: Magnifier - an additional cells well be displayed if zoom factor is more than 5x
+ Editor: Magnifier - maximal zoom factor value is increased to x50
+ Editor: Magnifier - an ability to change cell color
+ Editor: Custom Providers - an ability to rename provider
+ Editor: Custom Providers - added button to toolbar
+ Editor: Custom Providers - the list of provides is now grouped by type of provider
+ Editor: Work Area - guides are now supported
+ Editor: Work Area - an ability to switch off offset element after clone


AIMP Skin Editor v3.55, build 604 (26.03.2014)
==============================================
* Skin Engine: Added an ability to resize animator control
- Fixed: Skin Engine - value of the PeakSegmentation property doesn't taken into account


AIMP Skin Editor v3.55, build 602 (08.02.2014)
==============================================
- Fixed: Editor - application crashes when closing on some skin projects


AIMP Skin Editor v3.55, build 601 (31.01.2014)
==============================================
- Fixed: Skin Engine - value of the SizeMaximal property isn't taken into account for client-aligned containers
- Fixed: Skin Engine - minimal size of container doesn't updated after change it texture


AIMP Skin Editor v3.55, build 599 (15.11.2013)
==============================================
* Editor: Large projects support has been improved - reduced memory consumption when building skin
* Editor: Large projects support has been improved - memory limit for the application has been extended - 3 GB for х86, 4 GB for х64


AIMP Skin Editor v3.55, build 596 (04.11.2013)
==============================================
+ Skin Engine: Added an ability to switch off hit-test without usage of fully transparent mask
- Fixed: Editor - name of element in the Properties window doesn't refreshed after renaming
- Small bugs were fixed


AIMP Skin Editor v3.55 RC 2, build 592 (15.10.2013)
===================================================
- Fixed: Skin Engine - small bugs were fixed


AIMP Skin Editor v3.55 RC, build 590 (07.10.2013)
=================================================
* Manual: Added search ability
* Manual: Content has been updated
* Skin Engine: Added an ability to bind ActionScroll service with Slider control


AIMP Skin Editor v3.55 Beta, build 587 (12.09.2013)
===================================================
* Editor: RadioCat plugin providers has been removed


AIMP Skin Editor v3.51, build 584 (07.08.2013)
==============================================
- Fixed: Editor - Position of Quick Action Buttons depended from how skin has been opened


AIMP Skin Editor v3.50, build 579 (19.06.2013)
==============================================
- Fixed: Editor - Information about the skin is empty after import skin project from old versions


AIMP Skin Editor v3.50 RC 2, build 573 (04.06.2013)
===================================================
+ Editor: English version of manual has been added
+ Skin Engine: Added an ability to get length of text returned by service of provider
+ Skin Engine: Added the "PresetName" service to "prvEqualizer" provider
+ Skin Engine: Added the "Hint" access point
- Fixed: Skin Engine - An error occurs in some cases when trying to load skin that contains embedded fonts
- Fixed: Skin Engine - Value of the ClipChildren property is ignores when calculating HitTest
- Fixed: Skin Engine - there is no check for corruption of skin package
- Fixed: Skin Engine - position of equivalent containers with limited sizes calculates incorrectly
- Fixed: Small bugs and defects


AIMP Skin Editor v3.50 RC 1, build 561 (08.05.2013)
===================================================
+ Skin Engine: Added an ability to format time in text label
+ Skin Engine: The borders property has been introduced to context menu element
+ Skin Engine: Added new marcos for FileInfo service of prvPlayingFileInfo provider - %BPM, %AlbumGain, %TrackGain, %Composer, %Publisher
* Skin Engine: The HeaderBackgroundColor property of playlist element has been replaced by HeaderBackground property
* Editor: Pressing the Escape key on focused element select it parent
- Fixed: Editor - test mode cannot be switched on if workspace area is not focused
- Fixed: Editor - font embedded to skin cannot be chosen in the "Font Property Editor" dialog
- Fixed: Small bugs and defects


AIMP Skin Editor v3.50 Beta 4, build 555 (19.04.2013)
=====================================================
+ Skin Engine: New "Counter" type of custom providers has been introduced
+ Skin Engine: Added an ability to define font shadow for elements
- Fixed: Editor - Alt+Shift hotkeys is blocked by visual editor


AIMP Skin Editor v3.50 Beta 3, build 550 (10.04.2013)
=====================================================
+ Skin Engine: Added an ability to link Action to ContextMenu access point
- Fixed: Editor - visual Binding Editor allow to link two actions to single access point
- Fixed: Editor - blur mask draws incorrectly
- Fixed: Editor - applicaion crashes when trying to set an empty sizes to TASEWaveFormDisplay or TASESpectrogramDisplay elements
- Fixed: Editor - bugs with updating button state in the "Windows" dialog


AIMP Skin Editor v3.50 Beta 2, build 540 (07.03.2013)
=====================================================
+ Skin Engine: Added new TASEScrollBarHorizontal, TASEWaveFormDisplay and TASESpectrogramDisplay controls
+ Skin Engine: Added an ability to adjust height of context menu items
+ Skin Engine: Added an ability to hide container by default
* Editor: Added an ability to clone control
* Editor: Visual editor for context menu has been redesigned
- Fixed: Editor - the "Magnifier" detects pixel color under cursor incorrectly in some cases
- Fixed: Editor - state of "Show all frames" option is not stored to config
- Fixed: Skin Engine - value of AlignmentLevel property of background elements is not recalculated after remove one of neighbor element
- Fixed: Skin Engine - position of elements with laClient alignment calculates incorrectly in some cases
- Fixed: Skin Engine - minimal size of the container calculates incorrectly during visibility changing


AIMP Skin Editor v3.50 Alpha 1, build 500 (16.09.2012)
======================================================
+ Adapted for SkinEngine v3.50


